export type ObjectsComparatorFn<T = any> = (obj1: T, obj2: T) => boolean;
export type ObjectsComparator = {
    equal: ObjectsComparatorFn;
};
export declare class Comparator implements ObjectsComparator {
    readonly renderDefaultComparatorError: boolean;
    private readonly fields;
    constructor(fields?: (string | string[])[]);
    equal(obj1: unknown, obj2: unknown, byFields?: (string | string[])[]): boolean;
}
export declare class DuplicateError extends Error {
    constructor(...params: Parameters<typeof Error>);
}
